(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ublockmatrix.ml,v 1.10 2014/01/10 15:28:04 fclement Exp $ *)

(** Block matrix operations. *)

type 'a block_matrix = 'a Umatrix.t Umatrix.t;;
type 'a t = 'a block_matrix;;

let size = Umatrix.size;;

let length = size;;

(*
let sizes bm =
  let ni1, nj1 = size bm in
  
;;

let lengths = sizes;;

let to_matrix bm =
  let ni1, nj1 = Umatrix.size bm in
  if ni1 = 0 || nj1 = 0 then [||] else
  
  let ni2, nj2 = in

  let ni = and nj = in
  let m = make ni nj bm.(0).(0).(0).(0) in
  Umatrix.iterijij (fun i j bmij -> ) bm;;

;;

let of_matrix m is js =
;;
*)

let resize = Umatrix.resize;;

let zoom = Umatrix.zoom;;
